Changelog
=========

0.13.13 (2023-03-09)
--------------------

- Use context manager for opening toml config
  [andrewzwicky]


0.13.12 (2023-03-09)
--------------------

- Modify tests to test 3.11 separately from earlier python versions.
  [andrewzwicky]


0.13.11 (2022-12-13)
--------------------

- Better exception handling when looking for config.
  [bignose-debian]


0.13.10 (2022-12-13)
--------------------

- Better toml support (use tomlib for 3.11, tomli for 3.6 to 3.10).
  [salty-horse, mgorny]

- Minimal PEP 517 support.
  [cpcloud]

- 3.11 support for run as module and run as script.
  [nphilipp, gotcha]

- Based on OSV:PYSEC-2022-12 change ipython dependencies,
  for users using python 3.6, install 7.16.3 <= IPython < 7.17.0,
  for users using python>3.6, install IPython >= 7.31.1.
  [malkstar]


0.13.9 (2021-06-02)
-------------------

- Fix again when `pyproject.toml` does not contain `tool` section.
  [markab108]


0.13.8 (2021-05-26)
-------------------

- Fix when `pyproject.toml` does not contain `tool` section.
  [anjos]

- Add the convenience function ``iex()``.
  [alanbernstein]


0.13.7 (2021-03-16)
-------------------

- Do not instantiate IPython on import
  [adamchainz]


0.13.6 (2021-03-08)
-------------------

- Fix broken parsing of pyproject.toml
  [alexandrebarbaruiva]


0.13.5 (2021-03-02)
-------------------

- Add support for pyproject.toml as configuration file
  [alexandrebarbaruiva]

- For users using python 3.4, install 6.0.0 <= IPython < 7.0.0,
  for users using python 3.5, install 7.0.0 <= IPython < 7.10.0,
  for users using python 3.6, install 7.10.0 <= IPython < 7.17.0,
  for users using python>3.6, install IPython >= 7.17.0.
  [d1618033]


0.13.4 (2020-10-01)
-------------------

- Add '-m' option
  [mrmino]


0.13.3 (2020-06-23)
-------------------

- Allow runcall, runeval to also use set context value
  [meowser]

- Add condition argument to set_trace
  [alexandrebarbaruiva]


0.13.2 (2020-03-03)
-------------------

- Remove leftover debug code
  [gotcha]


0.13.1 (2020-02-28)
-------------------

- Fix when no configuration file
  [gotcha]


0.13.0 (2020-02-28)
-------------------

- Add option to set context via environment variable or configuration file
  [alexandrebarbaruiva]


0.12.3 (2019-12-03)
-------------------

- Fix version in usage
  [gotcha]


0.12.2 (2019-07-30)
-------------------

- Avoid emitting term-title bytes
  [steinnes]


0.12.1 (2019-07-26)
-------------------

- Fix --help 
  [native-api]


0.12 (2019-03-20)
-----------------

- Drop support for Python 3.3.x
  [bmw]
- Stop deprecation warnings from being raised when IPython >= 5.1 is used.
  Support for IPython < 5.1 has been dropped.
  [bmw]


0.11 (2018-02-15)
-----------------

- Simplify loading IPython and getting information from it.
  Drop support for python 2.6
  Drop support for IPython < 5.0.0
  [takluyver]


0.10.3 (2017-04-22)
-------------------

- For users using python 2.6, do not install IPython >= 2.0.0.
  And for users using python 2.7, do not install IPython >= 6.0.0.
  [vphilippon]
- Drop support for python 3.2.
  [vphilippon]
- Command line usage consistent with pdb - Add argument commands
  [zvodd]


0.10.2 (2017-01-25)
-------------------

- Ask IPython which debugger class to use.
  Closes https://github.com/gotcha/ipdb/issues/105
  [gnebehay, JBKahn] 

- ipdb.set_trace() does not ignore context arg anymore.
  Closes https://github.com/gotcha/ipdb/issues/93.
  [gnebehay, Garrett-R]


0.10.1 (2016-06-14)
-------------------

- Support IPython 5.0.
  [ngoldbaum]


0.10.0 (2016-04-29)
-------------------

- Stop trying to magically guess when stdout needs to be captured.
  Like needed by `nose`.
  Rather, provide a set of function that can be called explicitely when needed.
  [gotcha]

- drop support of IPython before 0.10.2


0.9.4 (2016-04-29)
------------------

- Fix Restart error when using `python -m ipdb`
  Closes https://github.com/gotcha/ipdb/issues/93.
  [gotcha]


0.9.3 (2016-04-15)
------------------

- Don't require users to pass a traceback to post_mortem.
  [Wilfred]


0.9.2 (2016-04-15)
------------------

- Closes https://github.com/gotcha/ipdb/issues/93.
  [gotcha]


0.9.1 (2016-04-12)
------------------

- Reset ``sys.modules['__main__']`` to original value.
  Closes https://github.com/gotcha/ipdb/issues/85
  [gotcha]

- Fix support of IPython versions 0.x
  [asivokon]


0.9.0 (2016-02-22)
------------------

- Switch to revised BSD license (with approval of all contributors).
  Closes https://github.com/gotcha/ipdb/issues/68
  [lebedov, gotcha]

0.8.3 (2016-02-17)
------------------

- Don't pass sys.argv to IPython for configuration.
  [emulbreh]


0.8.2 (2016-02-15)
------------------

- Fix lexical comparison for version numbers.
  [sas23]

- Allow configuring how many lines of code context are displayed
  by `set_trace`
  [JamshedVesuna]

- If an instance of IPython is already running its configuration will be
  loaded.
  [IxDay]


0.8.1 (2015-06-03)
------------------

- Make Nose support less invasive.
  Closes https://github.com/gotcha/ipdb/issues/52
  Closes https://github.com/gotcha/ipdb/issues/31
  [blink1073, gotcha]

- Fix for post_mortem in context manager.
  Closes https://github.com/gotcha/ipdb/issues/20
  [omergertel]


0.8 (2013-09-19)
----------------

- More Python 3 compatibility; implies dropping Python 2.5 support.
  Closes https://github.com/gotcha/ipdb/issues/37
  [gotcha]


0.7.1 (2013-09-19)
------------------

- IPython 1.0 compatibility.
  Closes https://github.com/gotcha/ipdb/issues/44
  [pgularski]

- Index into version_info in setup.py for Python 2.6 compatibility.
  [kynan]

- Add Travis CI configuration.
  [kynan]

0.7 (2012-07-06)
----------------

- Add ``launch_ipdb_on_exception`` context manager. Implies dropping Python 2.4 support.
  [Psycojoker]

- Wrap sys.excepthook only once.
  [marciomazza]

- Add GPL file and refer in headers.
  [stan3]

- Python 3 support.
  [Piet Delport]

- Basic tests.
  [msabramo]

- Added the functions ``runcall``, ``runeval`` and ``run``.
  [dimasad]


0.6.1 (2011-10-17)
------------------

- State dependency on IPython later or equal to 0.10.
  [gotcha]


0.6 (2011-09-01)
----------------

- Add setuptools ``console_scripts`` entry point.
  [akrito, gotcha] 

- Nose support.
  Closes https://github.com/gotcha/ipdb/issues/8
  [akaihola, gotcha]


0.5 (2011-08-05)
----------------

- IPython 0.11 support.
  [lebedov]


0.4 (2011-06-13)
----------------

- When used from IPython, use its colors.
  Closes https://github.com/gotcha/ipdb/issues/1
  [gotcha]

- Fixed errors when exiting with "q". 
  [gotcha]

- Allow use of ``python -m ipdb mymodule.py``.
  Python 2.7 only. 
  Closes https://github.com/gotcha/ipdb/issues/3 
  [gotcha]

- Fixed post_mortem when the traceback is None.
  [maurits]


0.3 (2011-01-16)
----------------

- Add ``post_mortem()`` for ``Products.PDBDebugMode`` support.
  [Jean Jordaan]

- Moved to github.com.


0.2 (2010-10-20)
----------------

- Added ``pm()``.
  [Paulo Benedict Ang]


0.1 (2010-04-26)
----------------

- First "non dev" release.
